package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProPriceBean;
import com.wd.workoffice.bean.mesBean.FeedbackBean;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class MesQualityAdapter extends BaseQuickAdapter<FeedbackBean.ListBean, BaseViewHolder> {

    public MesQualityAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, FeedbackBean.ListBean item) {
        helper.setText(R.id.tv_no, item.getFeedbackCode());
        helper.setText(R.id.tv_manager, item.getSaleUserName());
        helper.setText(R.id.tv_name, item.getCustomerName());
        helper.setText(R.id.tv_phone, item.getPhoneNumber());
        helper.setText(R.id.tv_pro, item.getProductCode());


        helper.setText(R.id.tv_pro_name, item.getProductName());
        helper.setText(R.id.tv_spec, item.getSpecification());
        helper.setText(R.id.tv_img_code, item.getDrawingNumber());
        helper.setText(R.id.tv_box, item.getBoxCode());
        helper.setText(R.id.tv_num, item.getDefectCount()+"");
        helper.setText(R.id.tv_mark_code, item.getSerialNumber());
        helper.setText(R.id.tv_machine, item.getCasterName());
        helper.setText(R.id.tv_steel, item.getSteelTypeId());
        helper.setText(R.id.tv_defect, item.getDefectName());

    }
}

